<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__lpa__wifi__ol__common_8h" kind="file" language="C++">
    <compoundname>cy_lpa_wifi_ol_common.h</compoundname>
    <includedby local="yes" refid="cy__lpa__wifi__arp__ol_8h">cy_lpa_wifi_arp_ol.h</includedby>
    <includedby local="yes" refid="cy__lpa__wifi__olm_8h">cy_lpa_wifi_olm.h</includedby>
    <includedby local="yes" refid="cy__lpa__wifi__ol__priv_8h">cy_lpa_wifi_ol_priv.h</includedby>
    <includedby local="yes" refid="cy__whd__stubs_8c">cy_whd_stubs.c</includedby>
    <includedby local="yes" refid="cy__whd__tko__api_8c">cy_whd_tko_api.c</includedby>
    <innerclass prot="public" refid="structol__info__t">ol_info_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__lpa__wifi__ol__common_8h_1a4058dc2b85bf336ef5c3855a09c89549" kind="define" prot="public" static="no">
        <name>OL_COMMON_H__</name>
        <initializer>(1)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_common.h" bodystart="3740" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_common.h" line="3740" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="cy__lpa__wifi__ol__common_8h_1a7d9677d3f4669e7305a0bba1b1f474c1" kind="typedef" prot="public" static="no">
        <type>void</type>
        <definition>typedef void whd_t</definition>
        <argsstring />
        <name>whd_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_common.h" bodystart="3747" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_common.h" line="3747" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Low Power Offload ARP Assist. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="3739"><highlight class="preprocessor">#ifndef<sp />OL_COMMON_H__</highlight><highlight class="normal" /></codeline>
<codeline lineno="3740"><highlight class="normal" /><highlight class="preprocessor">#define<sp />OL_COMMON_H__<sp /><sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="3741"><highlight class="normal" /></codeline>
<codeline lineno="3742"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="3743"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="3744"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="3745"><highlight class="normal" /></codeline>
<codeline lineno="3746"><highlight class="normal" /><highlight class="comment">/*<sp />TODO:<sp />change<sp />whd_t<sp />define<sp />to<sp />be<sp />the<sp />correct<sp />whd<sp />pointer<sp />type<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="3747"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />whd_t;</highlight></codeline>
<codeline lineno="3748"><highlight class="normal" /></codeline>
<codeline lineno="3749"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="3750"><highlight class="comment">*<sp />LPA<sp />Data<sp />Structures</highlight></codeline>
<codeline lineno="3751"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="3752"><highlight class="normal" /></codeline>
<codeline lineno="3753"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="3755"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="3756"><highlight class="normal" /></codeline>
<codeline lineno="3760" refid="structol__info__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">ol_info</highlight></codeline>
<codeline lineno="3761"><highlight class="normal">{</highlight></codeline>
<codeline lineno="3762"><highlight class="normal"><sp /><sp /><sp /><sp />whd_t<sp /><sp /><sp />*whd;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="3763"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp />*ip;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="3764"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp />*worker;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="3765"><highlight class="normal">}<sp /><ref kindref="compound" refid="structol__info__t">ol_info_t</ref>;</highlight></codeline>
<codeline lineno="3766"><highlight class="normal" /></codeline>
<codeline lineno="3769"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="3770"><highlight class="normal">}</highlight></codeline>
<codeline lineno="3771"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="3772"><highlight class="normal" /></codeline>
<codeline lineno="3773"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!OL_COMMON_H__<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="3774"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_common.h" />
  </compounddef>
</doxygen>